Bug 1096218 - RFE: provide compiler bootstrapping for all go-compiler supported architectures
Summary: RFE: provide compiler bootstrapping for all go-compiler supported architectures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-09 13:21 UTC by Vincent Batts
Modified: 2014-05-21 12:41 UTC (History)
8 users (show)

Fixed In Version: golang-1.2.2-2.fc20
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-21 02:36:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Vincent Batts 2014-05-09 13:21:47 UTC
Description of problem:
the current golang rpm only provides the compiler for the current host's architecture. But the golang compiler supports compiling for a number of arch's (http://golang.org/doc/install/source#environment)

Version-Release number of selected component (if applicable):
1.2.1-1

How reproducible:


Steps to Reproduce:
1. yum install golang
2. GOOS=darwin GOARCH=amd64 go build foo.go
3.

Actual results:
go build runtime: darwin/amd64 must be bootstrapped using make.bash

Expected results:
an executable binary for Mach

Additional info:

Comment 1 Fedora Update System 2014-05-14 18:17:26 UTC
golang-1.2.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-1.2.2-2.el6

Comment 2 Fedora Update System 2014-05-14 18:18:16 UTC
golang-1.2.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-1.2.2-2.fc20

Comment 3 Fedora Update System 2014-05-14 18:19:20 UTC
golang-1.2.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.2.2-2.fc19

Comment 4 Fedora Update System 2014-05-16 03:01:08 UTC
Package golang-1.2.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-1.2.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1416/golang-1.2.2-2.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-05-20 13:55:31 UTC
golang-1.2.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-1.2.2-3.el6

Comment 6 Fedora Update System 2014-05-21 02:36:39 UTC
golang-1.2.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-05-21 12:41:13 UTC
golang-1.2.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.2.2-6.fc19


Note You need to log in before you can comment on or make changes to this bug.